Bug 1282902 - CVE-2015-8126 libpng15: libpng: Buffer overflow vulnerabilities in png_get_PLTE/png_set_PLTE functions [fedora-all]
CVE-2015-8126 libpng15: libpng: Buffer overflow vulnerabilities in png_get_PL...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libpng15 (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Hracek
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-8126/CVE-2015-8472
  Show dependency treegraph
 
Reported: 2015-11-17 13:47 EST by Stefan Cornelius
Modified: 2016-01-04 14:57 EST (History)
1 user (show)

See Also:
Fixed In Version: libpng15-1.5.25-1.fc23 libpng15-1.5.25-1.fc22
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 13:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Cornelius 2015-11-17 13:47:48 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Stefan Cornelius 2015-11-17 13:47:55 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1281756,1282902

# Description of your update
notes=Security fix for CVE-2015-8126

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1281756,1282902
Comment 2 Fedora Update System 2015-11-18 09:35:16 EST
libpng15-1.5.22-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1943310658
Comment 3 Fedora Update System 2015-11-18 09:52:15 EST
libpng15-1.5.21-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5e4ecf80d
Comment 5 Fedora Update System 2015-11-19 09:51:50 EST
libpng15-1.5.21-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng15'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5e4ecf80d
Comment 6 Fedora Update System 2015-11-19 10:26:28 EST
libpng15-1.5.22-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng15'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1943310658
Comment 7 Fedora Update System 2015-11-19 11:55:04 EST
libpng15-1.5.22-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng15'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1943310658
Comment 8 Fedora Update System 2015-12-08 02:17:01 EST
libpng15-1.5.25-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c80ec85542
Comment 9 Fedora Update System 2015-12-08 02:46:11 EST
libpng15-1.5.25-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-233750b6ab
Comment 10 Fedora Update System 2015-12-08 17:57:48 EST
libpng15-1.5.25-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng15'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c80ec85542
Comment 11 Fedora Update System 2015-12-08 18:51:02 EST
libpng15-1.5.25-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libpng15'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-233750b6ab
Comment 12 Fedora Update System 2016-01-04 13:52:28 EST
libpng15-1.5.25-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-01-04 14:57:14 EST
libpng15-1.5.25-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.